Package: grails.doc.gradle

## [Groovy] Class MigrateLegacyDocs

- grails.doc.gradle.MigrateLegacyDocs

- Gradle task for migrating Grails 1.x gdocs to the newer Grails 2.x form with a YAML-based table of contents.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.File` | `guideDir`
    `java.io.File` | `outputDir`
    `java.io.File` | `resourcesDir`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `migrate()`

- - ### Property Detail

    - #### @InputDirectory java.io.File guideDir

    - #### @OutputDirectory java.io.File outputDir

    - #### @InputDirectory java.io.File resourcesDir

  - ### Method Detail

    - #### @TaskAction java.lang.Object migrate()